=== modified file 'ObjConv/objtojson.c'
--- ObjConv/objtojson.c	2013-03-28 14:32:10 +0000
+++ ObjConv/objtojson.c	2013-05-22 12:42:27 +0000
@@ -1,6 +1,6 @@
-#include <STDIO.H>
-#include <STDLIB.H>
-#include <STRING.H>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 
 void parseface(char *facedata,int *varray,int *narray,int *tarray,int position, int hasuv, int hasnormals) {
 	char workstr[10];

=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-16 11:30:30 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-22 14:29:04 +0000
@@ -11,6 +11,14 @@
 			$this->load->model('user', '', TRUE);
 		}
 		
+		/*
+		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
+		 */
+		public function popup($popupName) {
+			$popup = $this->load->view('popup/'.$popupName, '', TRUE);
+			return $popup;
+		}
+		
 		
 		/*
 		 *	This function outputs data: user password hint.

=== removed file 'codeigniter/application/models/popups.php'
--- codeigniter/application/models/popups.php	2013-05-15 13:01:20 +0000
+++ codeigniter/application/models/popups.php	1970-01-01 00:00:00 +0000
@@ -1,136 +0,0 @@
-<?php
-	Class Popups extends CI_Model {
-		function __construct() {
-			parent::__construct();
-			
-			//Load required libraries and drivers
-			$this->load->database();
-			$this->load->library('session');
-		}
-
-		public function changeActiveCourse($courseName, $courseCode){
-			$output = 
-			'div id="changeActiveCourse">
-				<h2 class="loginTitle">Change Active Course</h2>
-					<div id="middleLayerPopups">
-						<p>Do you wish to set' .  $courseName . ' - ' . $courseCode . ' as your current directory?</p>	
-					</div>
-				<input type="button" class="popupButtons btn" value="Confirm">
-				<input type="button" onClick="changeActiveCourseButtonHide()" class="popupButtons btn" value="Cancel">
-			</div>';
-			return $output;
-		}
-		public function confirmRemoval(){
-			$output = '
-			<div id="subjectConfirmRemove">
-				<h2 class="loginTitle">Confirm Removal</h2>
-				<div id="middleLayerPopups">
-					<p>By pressing remove the object and all of its contents will be permanently removed</p>
-				</div>
-				<input type="button" class="popupButtons btn" value="Remove">
-				<input type="button" onClick="subjectConfirmButtonHide()" class="popupButtons btn" value="Cancel">
-			</div>';
-		return $output;
-		}
-
-		public function addCategory(){
-			$output = '
-			<div id="addCategory">
-				<h2 class="loginTitle">Add Category</h2>
-				<div id="middleLayerPopups">
-					<p>Enter Category Name</p>	
-					<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name"/><br>
-					<input type="button" class="popupButtons btn" value="Remove">
-					<input type="button" onClick="addCategoryButtonHide()" class="popupButtons btn" value="Cancel">
-				</div>
-			</div>';
-			return $output;
-		}
-
-		public function addStudents(){
-			$output = '
-			<div id="addStudents" hidden="hidden">
-				<h2 class="loginTitle">Add Course</h2>
-				<div id="middleLayerPopupsSizeThree">
-					<div class="tableRow">
-						<p>Format for ladok text file</p> 
-						<form method="post" action=""><textarea name="comments" cols="52" rows="8"></textarea><br>
-					</div>
-				</div>
-				<div>
-					<input type="button" class="popupButtons btn" value="Confirm">
-					<input type="button" onClick="addStudentsButtonHide()" class="popupButtons btn" value="Cancel">
-						</form>
-				</div>
-			</div>';
-			return $output;
-			
-		}
-		public function editCourseDetails(){
-			$output = '
-			<div id="editCourseDetails" hidden="hidden">
-				<h2 class="loginTitle">Edit Course Details</h2>
-				<div id="middleLayerPopupsSizeTwo">
-					<div class="tableRow">
-						<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
-					</div>
-				<div class="tableRow">
-					<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
-				</div>
-					<div class="tableRow">
-						<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
-					</div>
-
-				</div>
-		<div>
-			<input type="button" class="popupButtons btn" value="Confirm">
-			<input type="button" onClick="editCourseDetailsButtonHide()" class="popupButtons btn" value="Cancel">
-		</div>
-</div>';
-			return $output;
-		}
-
-		public function addCourse(){
-			$output = '
-			<div id="addCourse" hidden="hidden">
-				<h2 class="loginTitle">Add Course</h2>
-				<div id="middleLayerPopupsSizeTwo">
-					<div class="tableRow">
-						<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
-					</div>
-					<div class="tableRow">
-						<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
-					</div>
-
-					<div class="tableRow">
-						<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
-					</div>
-
-				</div>
-		<div>
-			<input type="button" class="popupButtons btn" value="Confirm">
-			<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
-		</div>
-</div>';
-			return $output;
-		}
-
-		public function addNewInstructor(){
-			$output = '
-			<div id="addNewInstructor" hidden="hidden">
-				<h2 class="loginTitle">Add New Instructor</h2>
-				<div id="middleLayerPopups">
-					<div class="tableRow">
-						<p class="tableCell">Email</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="grilldalf95@his.se"/>
-					</div>
-				</div>
-				<div>
-					<input type="button" class="popupButtons btn" value="Confirm">
-					<input type="button" onClick="addNewInstructorButtonHide()" class="popupButtons btn" value="Cancel">
-				</div>
-			</div>';
-			return $output;
-		}
-
-
-}
\ No newline at end of file

=== modified file 'codeigniter/application/views/header.php'
--- codeigniter/application/views/header.php	2013-05-15 12:41:14 +0000
+++ codeigniter/application/views/header.php	2013-05-21 14:35:19 +0000
@@ -1,4 +1,3 @@
-
 <!-- header.php -->
 <div id="header">
 	<span class="title">Läran om Gson - D1POPCRN (7.5hp)</span>
@@ -39,46 +38,4 @@
 			<a href="<?php echo base_url(); ?>logout"><li>Logout</li></a>
 		</ul>
 	</div>
-</div>
-
-	<div id="passwordChanger">
-		<p class="passwordHeader">Change password</p><p class="passwordHeaderBorder"></p>
-		<form id="changePassword" onsubmit="return confirm('<?php echo base_url(); ?>'); return false;">
-			<p>Current password:
-				<span class="errorMessage" name="currentPwd" title="Enter your current password.">#</span>
-				<input type="password" id="currentPwd"/>
-			</p>
-			<p>New password:
-				<span class="errorMessage" name="newPwd" title="Password can only use: a-z A-Z 0-9 _ - and must be of minimum 6 characters.">#</span>
-				<input type="password" id="newPwd" onkeyup="validNewPwd(), validRepeatedPwd();"/>
-			</p>
-			<p>Repeat password:
-				<span class="errorMessage" name="repeatPwd" title="Passwords don't match!">#</span>
-				<input type="password" id="repeatPwd" onkeyup="validRepeatedPwd();"/>
-			</p>
-			<p>Password hint:
-				<span class="errorMessage" name="hintPwd" title="This hint should be cool!">#</span>
-				<input type="text" id="hintPwd"/>
-			</p>
-			<input type="button" class="button" value="Cancel" onclick="cancelPasswordChange();"/>
-			<input type="button" class="button" value="Ok" onclick="confirm('<?php echo base_url(); ?>');"/>
-		</form>
-	</div>
-		<div id="loginFormContainer" hidden="hidden">
-		<h2 class="loginTitle">Login<button type="button" id="popupxButton" onClick="loginButtonHide()">x</button></h2>
-		<?php echo form_open('login/validate'); ?>
-		<div class="inputarea">
-			<input class="text" type="text" size="20" id="username" name="username" placeholder="username"/><br>
-			<input class="text" type="password" size="20" id="password" name="password" placeholder="password"/><br>
-		
-		
-
-		</div>
-		<div>
-			<input class="hint btn" type="button" onclick="passwordHint('<?php echo base_url(); ?>');"/>
-			<input class="submit btn" type="submit" value="Login"/>
-			<div id='hinttext'></div>
-		</div>
-		</form>
-	</div>
-	
\ No newline at end of file
+</div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/manageCoursesBody.php'
--- codeigniter/application/views/manageCoursesBody.php	2013-05-20 09:33:34 +0000
+++ codeigniter/application/views/manageCoursesBody.php	2013-05-22 10:06:29 +0000
@@ -55,49 +55,7 @@
 		}
 		?>
 	</div>
-	<div id="addCourse">
-		<h2 class="popupHeader">Add Course</h2>
-		<div class="middleLayerPopupsSizeTwo">
-			<div class="formColumn1">
-			<?php echo form_open(base_url().'ManageCourses/add_course'); ?>
-				<p class="formText">Course Name</p> 
-				<p class="formText">Course Code</p> 
-				<p class="formText">Course Description</p> 
-			</div>
-			<div class="formColumn2">
-				<input class="text" type="text" size="10" name="name" placeholder="-- Course Name --"/>
-				<input class="text" type="text" size="10" name="cid" placeholder="-- Course Code --"/>
-				<input class="text" type="text" size="10" name="courseData" placeholder="-- Course Description --"/>
-				<input type="submit" class="popupButtons btn" value="Confirm">
-				<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
-			</div>
-		</div>
-	</div>	
 	
-	<div id="editCourse">
-		<h2 class="popupHeader">Edit Course</h2>
-		<div class="middleLayerPopupsSizeTwo">
-			<div class="tableRow">
-			<?php echo form_open(base_url().'ManageCourses/edit_course'); ?>
-				<p class="tableCell">Course Name</p> 
-				<input class="text" type="text" size="10" name="name" value="NUVARANDE"/>
-			</div>
-			<div class="tableRow">
-				<p class="tableCell">Course Code</p> 
-				<input class="text" type="text" size="10" name="cid" value="NUVARANDE"/>
-			</div>
-
-			<div class="tableRow">
-				<p class="tableCell">Course Description</p> 
-				<input class="text" type="text" size="10" name="courseData" value="NUVARANDE"/>
-			</div>
-
-		</div>
-		<div>
-			<input type="submit" class="popupButtons btn" value="Confirm">
-			<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
-		</div>	
-	</div>
 	
 	</div>
 </body>

=== added directory 'codeigniter/application/views/popup'
=== added file 'codeigniter/application/views/popup/addCategory.php'
--- codeigniter/application/views/popup/addCategory.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/addCategory.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,9 @@
+<div id="addCategory">
+	<h2 class="loginTitle">Add Category</h2>
+	<div id="middleLayerPopups">
+		<p>Enter Category Name</p>	
+		<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name"/><br>
+		<input type="button" class="popupButtons btn" value="Remove">
+		<input type="button" onClick="addCategoryButtonHide()" class="popupButtons btn" value="Cancel">
+	</div>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/addCourse.php'
--- codeigniter/application/views/popup/addCourse.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/addCourse.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,18 @@
+<div id="addCourse">
+	<h2 class="loginTitle">Add Course</h2>
+	<div id="middleLayerPopupsSizeTwo">
+		<div class="tableRow">
+			<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
+		</div>
+		<div class="tableRow">
+			<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
+		</div>
+		<div class="tableRow">
+			<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
+		</div>
+	</div>
+	<div>
+		<input type="button" class="popupButtons btn" value="Confirm">
+		<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
+	</div>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/addNewInstructor.php'
--- codeigniter/application/views/popup/addNewInstructor.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/addNewInstructor.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,12 @@
+<div id="addNewInstructor">
+	<h2 class="loginTitle">Add New Instructor</h2>
+	<div id="middleLayerPopups">
+		<div class="tableRow">
+			<p class="tableCell">Email</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="grilldalf95@his.se"/>
+		</div>
+	</div>
+	<div>
+		<input type="button" class="popupButtons btn" value="Confirm">
+		<input type="button" onClick="addNewInstructorButtonHide()" class="popupButtons btn" value="Cancel">
+	</div>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/addStudents.php'
--- codeigniter/application/views/popup/addStudents.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/addStudents.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,13 @@
+<div id="addStudents">
+	<h2 class="loginTitle">Add Course</h2>
+	<div id="middleLayerPopupsSizeThree">
+		<form method="post" action="">
+			<div class="tableRow">
+				<p>Format for ladok text file</p> 
+				<textarea name="comments" cols="52" rows="8"></textarea><br>
+			</div>
+			<input type="button" class="popupButtons btn" value="Confirm">
+			<input type="button" onClick="addStudentsButtonHide()" class="popupButtons btn" value="Cancel">
+		</form>
+	</div>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/changeActiveCourse.php'
--- codeigniter/application/views/popup/changeActiveCourse.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/changeActiveCourse.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,8 @@
+<div id="changeActiveCourse">
+	<h2 class="loginTitle">Change Active Course</h2>
+	<div id="middleLayerPopups">
+		<p><?PHP echo 'Do you wish to set' .  $courseName . ' - ' . $courseCode . ' as your current directory?'; ?></p>	
+	</div>
+	<input type="button" class="popupButtons btn" value="Confirm">
+	<input type="button" onClick="changeActiveCourseButtonHide()" class="popupButtons btn" value="Cancel">
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/editCourseDetails.php'
--- codeigniter/application/views/popup/editCourseDetails.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/editCourseDetails.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,18 @@
+<div id="editCourseDetails">
+	<h2 class="loginTitle">Edit Course Details</h2>
+	<div id="middleLayerPopupsSizeTwo">
+		<div class="tableRow">
+			<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseName ?>"/>
+		</div>
+		<div class="tableRow">
+			<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseCode ?>"/>
+		</div>
+		<div class="tableRow">
+			<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseDescription ?>"/>
+		</div>
+	</div>
+	<div>
+		<input type="button" class="popupButtons btn" value="Confirm">
+		<input type="button" onClick="editCourseDetailsButtonHide()" class="popupButtons btn" value="Cancel">
+	</div>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/loginForm.php'
--- codeigniter/application/views/popup/loginForm.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/loginForm.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,14 @@
+<div id="loginForm">
+	<h2 class="loginTitle">Login</h2>
+	<?php echo form_open('login/validate'); ?>
+		<div class="inputarea">
+			<input class="text" type="text" size="20" id="username" name="username" /><br>
+			<input class="text" type="password" size="20" id="password" name="password" /><br>
+		</div>
+		<div>
+			<input class="hint btn" type="button" onclick="passwordHint('<?php echo base_url(); ?>');"/>
+			<input class="submit btn" type="submit" value="Login"/>
+			<div id='hinttext'></div>
+		</div>
+	</form>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/passwordChanger.php'
--- codeigniter/application/views/popup/passwordChanger.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/passwordChanger.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,23 @@
+<div id="passwordChanger">
+	<p class="passwordHeader">Change password</p><p class="passwordHeaderBorder"></p>
+	<form id="changePassword" onsubmit="return confirm('<?php echo base_url(); ?>'); return false;">
+		<p>Current password:
+			<span class="errorMessage" name="currentPwd" title="Enter your current password.">#</span>
+			<input type="password" id="currentPwd"/>
+		</p>
+		<p>New password:
+			<span class="errorMessage" name="newPwd" title="Password can only use: a-z A-Z 0-9 _ - and must be of minimum 6 characters.">#</span>
+			<input type="password" id="newPwd" onkeyup="validNewPwd(), validRepeatedPwd();"/>
+		</p>
+		<p>Repeat password:
+			<span class="errorMessage" name="repeatPwd" title="Passwords don't match!">#</span>
+			<input type="password" id="repeatPwd" onkeyup="validRepeatedPwd();"/>
+		</p>
+		<p>Password hint:
+			<span class="errorMessage" name="hintPwd" title="This hint should be cool!">#</span>
+			<input type="text" id="hintPwd"/>
+		</p>
+		<input type="button" class="button" value="Cancel" onclick="cancelPasswordChange();"/>
+		<input type="button" class="button" value="Ok" onclick="confirm('<?php echo base_url(); ?>');"/>
+	</form>
+</div>
\ No newline at end of file

=== added file 'codeigniter/application/views/popup/subjectConfirmRemove.php'
--- codeigniter/application/views/popup/subjectConfirmRemove.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/popup/subjectConfirmRemove.php	2013-05-22 14:17:41 +0000
@@ -0,0 +1,8 @@
+<div id="subjectConfirmRemove">
+	<h2 class="loginTitle">Confirm Removal</h2>
+	<div id="middleLayerPopups">
+		<p>By pressing remove the object and all of its contents will be permanently removed</p>
+	</div>
+	<input type="button" class="popupButtons btn" value="Remove">
+	<input type="button" onClick="subjectConfirmButtonHide()" class="popupButtons btn" value="Cancel">
+</div>
\ No newline at end of file

=== modified file 'codeigniter/css/header.css'
--- codeigniter/css/header.css	2013-05-15 12:41:14 +0000
+++ codeigniter/css/header.css	2013-05-22 09:37:08 +0000
@@ -206,173 +206,4 @@
 	background-repeat:no-repeat; 
 	background-position:left;
 	background-color: #ff0000;
-}
-
-
-/* Window for change password */
-#passwordChanger{
-	/* Position & Size */
-	position:fixed;
-	left:35%;
-	top:24%;
-	padding:20px;
-	width:300px;
-	height:150px;
-	
-	/* Colors */	
-	color:white;
-	background-color:#333;
-
-	/* Fonts */	
-	line-height: 200%;
-	font-family: Helvetica;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-	-webkit-box-shadow: 0 0 8px #000;
-}
-
-#passwordChanger input{
-	width:40%;
-	margin-right:5px;
-	float:right;
-}
-
-#passwordChanger .passwordHeader{
-	/* Position & Size */
-	width:320px;
-	height:30px;
-	margin-left:-21px;
-	margin-top:-20px;
-	padding-left:20px;
-	
-	/* Fonts */
-	font-size: 18px;
-	line-height:200%;
-	font-weight: bold;
-	
-	/* Colors */
-	color: #fff;
-	background-color:#333;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-}
-#passwordChanger .passwordHeaderBorder{
-	border-bottom:1px solid #555;
-	width:340px;
-	margin-left:-21px;
-	margin-bottom:5px;
-}
-
-#passwordChanger .button{
-	/* Position & Size */
-	width:125px;
-	height:33px;
-	margin-top:10px;
-	margin-right:18px;
-	
-	/* Colors */
-	background: #a8a8a8;
-	background: -webkit-gradient(linear, left top, left bottom, from(#f0f0f0), to(#a8a8a8));
-	background: -moz-linear-gradient(top, #f0f0f0, #a8a8a8);
-	background: linear-gradient(to bottom, #f0f0f0, #a8a8a8);
-	color: #5c5c5c;
-	
-	/* Font */
-	font: 16px Helvetica;
-	font-weight: bold;
-	text-align: center;
-	
-	/* Borders */
-	border: 1px solid #d0d0d0;
-	-webkit-border-radius: 2px;
-	-moz-border-radius: 2px;
-	border-radius: 2px;
-
-}
-
-#passwordChanger .button:hover, .button:active, .button:focus {
-	background: #a0a0a0;
-	background: -webkit-gradient(linear, left top, left bottom, from(#d0d0d0), to(#a0a0a0));
-	background: -moz-linear-gradient(top, #d0d0d0, #a0a0a0);
-	border-color: #777;
-	color: #ffffff;
-	font-weight: bold;
-	text-decoration: none;
-	font-style: none;
-}
-
-
-
-.placeholder { 
-	color: #aaa; 
-	}
-
-input.text{
-	margin-top:2px;
-	margin-left:5px;
-	margin-right:5px;
-	height:30px;
-	background-color:white;
-	width:280px;
-	font-size:22px;
-	color:color:#333333;
-	
-	/*Rounded corners*/
-	-webkit-border-radius: 7px;
-	-moz-border-radius: 7px;
-	border-radius: 7px;
-}
-
-input.submit{
-	float:right;
-	height:35px;
-	width:100px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:20px;
-	
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-input.btn:hover{
-	background-color:#f5f5f5;
-	background-image: linear-gradient(to bottom,#fff,#f5f5f5);
-}
-
-input.hint{
-	float:left;
-	width:35px;
-	height:35px;
-
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-left:20px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-
-input.notValid{
-	background: #FF7F50;
-}
-
-input.Valid{
-	background: #98FB98;
-}
-
-.errorMessage{
-	float:right;
-	cursor:pointer;
-	font-family: "icomoon";
-	color:white;
-	font-size: 8px;
-	display:inline;
-	opacity:0;
 }
\ No newline at end of file

=== modified file 'codeigniter/css/popup.css'
--- codeigniter/css/popup.css	2013-05-15 12:47:25 +0000
+++ codeigniter/css/popup.css	2013-05-22 10:06:29 +0000
@@ -1,4 +1,4 @@
-#loginFormContainer{
+#loginForm{
 	z-index:3000000;
 	position: fixed;
     height: 175px;
@@ -82,6 +82,114 @@
 	font: 16px Helvetica;
 	font-weight:bold;	
 }
+
+input.notValid{
+	background: #FF7F50;
+}
+
+input.Valid{
+	background: #98FB98;
+}
+
+.errorMessage{
+	float:right;
+	cursor:pointer;
+	font-family: "icomoon";
+	color:white;
+	font-size: 8px;
+	display:inline;
+	opacity:0;
+}
+
+/* Window for change password */
+#passwordChanger{
+	/* Position & Size */
+	position:fixed;
+	left:35%;
+	top:24%;
+	padding:20px;
+	width:300px;
+	height:150px;
+	
+	/* Colors */	
+	color:white;
+	background-color:#333;
+
+	/* Fonts */	
+	line-height: 200%;
+	font-family: Helvetica;
+	
+	/* Borders */
+	border-top: 1px solid #555;
+	border-left: 1px solid #555;
+	border-bottom:1px solid #111;
+	border-right:1px solid #111;
+	-webkit-box-shadow: 0 0 8px #000;
+}
+
+#passwordChanger input{
+	width:40%;
+	margin-right:5px;
+	float:right;
+}
+
+#passwordChanger .passwordHeader{
+	/* Position & Size */
+	width:320px;
+	height:30px;
+	margin-left:-21px;
+	margin-top:-20px;
+	padding-left:20px;
+	
+	/* Fonts */
+	font-size: 18px;
+	line-height:200%;
+	font-weight: bold;
+	
+	/* Colors */
+	color: #fff;
+	background-color:#333;
+	
+	/* Borders */
+	border-top: 1px solid #555;
+	border-left: 1px solid #555;
+	border-bottom:1px solid #111;
+	border-right:1px solid #111;
+}
+#passwordChanger .passwordHeaderBorder{
+	border-bottom:1px solid #555;
+	width:340px;
+	margin-left:-21px;
+	margin-bottom:5px;
+}
+
+#passwordChanger .button{
+	/* Position & Size */
+	width:125px;
+	height:33px;
+	margin-top:10px;
+	margin-right:18px;
+	
+	/* Colors */
+	background: #a8a8a8;
+	background: -webkit-gradient(linear, left top, left bottom, from(#f0f0f0), to(#a8a8a8));
+	background: -moz-linear-gradient(top, #f0f0f0, #a8a8a8);
+	background: linear-gradient(to bottom, #f0f0f0, #a8a8a8);
+	color: #5c5c5c;
+	
+	/* Font */
+	font: 16px Helvetica;
+	font-weight: bold;
+	text-align: center;
+	
+	/* Borders */
+	border: 1px solid #d0d0d0;
+	-webkit-border-radius: 2px;
+	-moz-border-radius: 2px;
+	border-radius: 2px;
+
+}
+
 #passwordChanger .button:hover, .button:active, .button:focus {
 	background: #a0a0a0;
 	background: -webkit-gradient(linear, left top, left bottom, from(#d0d0d0), to(#a0a0a0));
@@ -164,7 +272,7 @@
 	text-shadow: 0.5px 0.5px #ddd;
 	color: #4F5155;	
 }
-#editCourseDetails{
+#editCourse{
 	z-index:3000000;
 	position: fixed;
     height: 250px;

=== modified file 'codeigniter/js/header.js'
--- codeigniter/js/header.js	2013-05-14 12:30:38 +0000
+++ codeigniter/js/header.js	2013-05-22 09:37:08 +0000
@@ -6,7 +6,6 @@
 $(document).ready(function(){
 	$('#expandedCourses').hide();
 	$('#popoutMenu').hide();
-	$('#passwordChanger').hide();
 
 	/* Check courses in expanded menu */
 	$('li[class="expanded"]').click(function(){
@@ -18,80 +17,6 @@
 		}
 	});
 
-	/* Blurs body and opens password changer */
-	$('li[name="changePwd"]').click(function(e){
-		e.stopPropagation();
-		$('#popoutMenu').stop(false, false).slideUp(300);
-		popoutMenu=0;
-	    $('body *').not('#passwordChanger, #passwordChanger *').animate({
-		opacity:0.4}, 400);
-		$('#passwordChanger').fadeIn(300);
-		$('#passwordChanger').css('z-index', 3000);
-	});
-	
-	$('body').click(function(e){
-		$('#formContainer').fadeOut(300);
-		$('#passwordChanger').fadeOut(300);
-		$('body *').animate({
-		opacity:1}, 400);
-		$('#changePassword')[0].reset();
-	});
-	
-	$('#passwordChanger').click(function(e){
-		e.stopPropagation();
-	});
-	
-	$('#formContainer').click(function(e){
-		e.stopPropagation();
-	});
-	
-	$('#popoutLink').click(function(e){
-		if(popoutMenu==0){
-			$('#popoutMenu').stop(false, true).slideDown(300);
-			popoutMenu=1;
-			e.stopPropagation();
-		// FIXA SÅ MENYN INTE KOMMER UPP IGEN
-		}
-		else if(popoutMenu==1){
-			$('#popoutMenu').stop(false, false).slideUp(300);	
-			popoutMenu=0;
-			e.stopPropagation();
-		}
-	});
-	
-	$('#loginLink').click(function(e){
-		var target = $('#formContainer');
-		if(target.is(":hidden")){
-			target.fadeIn(300);
-			$('#username').focus();
-			e.stopPropagation();
-		}
-		else{
-			target.fadeOut(300);
-		}
-		
-	});
-});
-
-window.onkeyup = function(event){
-	if(event.keyCode==27){
-		$('#formContainer').fadeOut(300);
-		$('#passwordChanger').fadeOut(300);
-		$('body *').animate({
-		opacity:1}, 400);
-		$('#changePassword')[0].reset();
-	}
-}
-
-/* Closing password changer and reactivates body */
-function cancelPasswordChange(){
-	$('#passwordChanger').fadeOut(300);
-	$('body *').animate({
-	opacity:1}, 400);
-	$('#changePassword')[0].reset();
-}
-
-
 /* Expand/Collapse courses in popout menu */
 function expandCourses(){
 	if(expandedCourses==0){

=== modified file 'codeigniter/js/popup.js'
--- codeigniter/js/popup.js	2013-05-15 12:47:25 +0000
+++ codeigniter/js/popup.js	2013-05-22 10:06:29 +0000
@@ -1,8 +1,8 @@
 function loginButtonShow(){
-	$('#loginFormContainer').show();
+	$('#loginForm').show();
 }
 function loginButtonHide(){
-	$('#loginFormContainer').hide();
+	$('#loginForm').hide();
 }
 function subjectConfirmButtonHide(){
 	$('#subjectConfirmRemove').hide();
@@ -23,10 +23,10 @@
 	$('#changeActiveCourse').show();
 }
 function editCourseDetailsButtonHide(){
-	$('#editCourseDetails').hide();
+	$('#editCourse').hide();
 }
 function editCourseDetailsButtonShow(){
-	$('#editCourseDetails').show();
+	$('#editCourse').show();
 }
 function addCourseButtonHide(){
 	$('#addCourse').hide();

